### Method

# Vips Target write

#### Declaration [src]

    int
    vips_target_write (
      VipsTarget* target,
      void* data,
      size_t length
    )

#### Description [src]

Write `length` bytes from `data` to the output.

#### Parameters

`data`

  Type: `void*`

  Data to write.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`length`

  Type: `size_t`

  Length of `data` in bytes.

#### Return value

Type: `int`

0 on success, -1 on error.